Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001310 [1003.1(2016)/Issue7+TC2] Shell and Utilities Objection Error 2019-12-19 17:49 2020-03-13 12:10
Reporter geoffclare View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Applied  
Name Geoff Clare
Organization The Open Group
User Reference
Section vi
Page Number 3416
Line Number 115215
Interp Status ---
Final Accepted Text
Summary 0001310: CONSEQUENCES OF ERRORS for vi tries to define undefined behaviour
Description The CONSEQUENCES OF ERRORS section for vi has text beginning:
When any error is encountered and the standard input is not a terminal device file, ...

However, the STDIN section states "If standard input is not a terminal device, the results are undefined."
Desired Action Change:
When any error is encountered and the standard input is not a terminal device file, vi shall not write the file or return to command or text input mode, and shall terminate with a non-zero exit status.

Otherwise, when ...
to:
When ...
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004707)
kre (reporter)
2020-01-06 23:57

An alternative resolution might be to change line 113704 (page 3375)
(this is the line quoted in the Description of this issue from the STDIN
section) so that it says something like:

    If standard input is not a terminal device, and no error is detected,
    the results are undefined. If an error occurs, see below in the
    CONSEQUENCES OF ERRORS for the appropriate result.

Note: do not read this as a strong preference for this version over the
Desired Action, I just have a general preference for less undefined cases
rather than more whenever it is possible. Here I am not sure what actual
vi implementations do when input is not a terminal (when some error occurs).

Also, does this really need (when there is no error, and perhaps when there
is) to be undefined, rather than unspecified?

- Issue History
Date Modified Username Field Change
2019-12-19 17:49 geoffclare New Issue
2019-12-19 17:49 geoffclare Name => Geoff Clare
2019-12-19 17:49 geoffclare Organization => The Open Group
2019-12-19 17:49 geoffclare Section => vi
2019-12-19 17:49 geoffclare Page Number => 3416
2019-12-19 17:49 geoffclare Line Number => 115215
2019-12-19 17:49 geoffclare Interp Status => ---
2020-01-06 23:57 kre Note Added: 0004707
2020-01-30 17:26 Don Cragun Status New => Resolved
2020-01-30 17:26 Don Cragun Resolution Open => Accepted
2020-01-30 17:26 Don Cragun Tag Attached: tc3-2008
2020-03-13 12:10 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker